﻿@model IEnumerable<UserSimpleViewModel>
@{
    ViewBag.Title = "لیست کاربرهای نقش " + ViewBag.RoleName;
}
<div class="box box-info">
    <div class="row" style="line-height: 30px; padding: 5px 10px 5px 10px; vertical-align: middle;">
        <div class="col-12">
            @Html.ActionLink("افزودن کاربر به نقش", "AddUserToRole", new { id = ViewBag.RoleId }, new { @class = "btn btn-primary" })
        </div>
        <div class="col-12">
            <div class="card-box table-responsive">
                @Html.DataTables(
                                                            @<thead>
                                                                <tr>
                                                                    <th style="width:10px;">
                                                                        @Html.DisplayNameFor(model => model.Id)
                                                                    </th>
                                                                    <th>
                                                                        @Html.DisplayNameFor(model => model.FullName)
                                                                    </th>
                                                                    <th>
                                                                        @Html.DisplayNameFor(model => model.Email)
                                                                    </th>
                                                                    <th>
                                                                        @Html.DisplayNameFor(model => model.PhoneNumber)
                                                                    </th>
                                                                    <th>
                                                                        <span>عملیات</span>
                                                                    </th>
                                                                </tr>
                                                            </thead>,
                                @<tbody>
                                    @foreach (var mod in Model)
                                     {
                                        <tr>
                                            <td>
                                                @Html.DisplayFor(modelItem => mod.Id)
                                            </td>
                                            <td>
                                                @Html.DisplayFor(modelItem => mod.FullName)
                                            </td>
                                            <td>
                                                @Html.DisplayFor(modelItem => mod.Email)
                                            </td>
                                            <td>
                                                @Html.DisplayFor(modelItem => mod.PhoneNumber)
                                            </td>
                                            <td>
                                                <div class="btn-group">
                                                    <a onclick="@Html.DeleteModal(mod.Id);" class="btn btn-danger">حذف</a>
                                                </div>
                                            </td>
                                        </tr>
                                     }
                                </tbody>)
            </div>
        </div>
    </div>
</div>